Bug 161541 - laptop fan never turns off (Dell Latitude 800)
laptop fan never turns off (Dell Latitude 800)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Intel Linux ACPI Team
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-24 00:51 EDT by Paul Johnson
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 21:22:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2005-06-24 00:51:20 EDT
Description of problem: After the laptop is on for 20  or 30 minutes, the
cooling fan goes on and it stays on all the time.  The laptop seems hotter than
it does in Windows XP, but that's just a subjective feeling.  (This is a new
laptop, and I can't say how it would have been in FC2. On another Dell laptop
with FC2, the fan did go on and off to drive the temp down)

The ACPI online docs say there should be passive and active cooling modes, but I
don't have them here.  Does the fan thing happen because the cooling mode is set
to critical and there is no way to change it?  

# cat /proc/acpi/thermal_zone/THM/*
<setting not supported>
cooling mode:   critical
<polling disabled>
state:                   ok
temperature:             46 C
critical (S5):           90 C

Version-Release number of selected component (if applicable):  I don't find any
laptop-mode info in FC4, so I think this is a kernel bug?  

# rpm -q kernel

I'm using the centrino based wireless ipw2200 version 1.04, not the one
distributed with the kernel, as well as the NVIDIA GO 5200 video with 64Meg RAM.

How reproducible:

Steps to Reproduce:
1. Turn on laptop
2. The fan goes on, whether or not the system is plugged in
Actual results: fan stays on

Expected results: fan should go on and off

Additional info: In the mailing list archive for fedora-maintainers, I see some
talk about RPMS for laptop-mode-tools and such, but I don't see any results!

I notice they talk about the laptop power issues in the context of STR--Suspend
To Ram. STR does work with the acpi script I'm pasting in below.  If I suspend
the PC, and then restart, the fan does not kick in right away. It waits a little
while, then never goes off.


# do not got to suspend mode if some command fails!
set -e

rmmodules () {
 if grep $mname /proc/modules ; then
   /sbin/rmmod $mname

# if network is up, shut it down!
if [ -f /var/lock/subsys/network ] ; then
  /sbin/service network stop

# remmod all problematic modules
rmmodules tg3
rmmodules uhci_hcd
rmmodules ehci_hcd
rmmodules hci_usb
rmmodules ipw2200
rmmodules ieee80211
rmmodules ieee80211_crypt



echo mem > /sys/power/state

# after waking up, move to terminal 1, this give some time to graphic card to
get into sane state
chvt 1
sleep 0.5
# change into gui terminal, graphic card is ok at this point
chvt 7

#load modules
/sbin/modprobe uhci_hcd
/sbin/modprobe ehci_hcd
/sbin/modprobe tg3
/sbin/modprobe ipw2200

/sbin/service network start

/sbin/ifup eth1
Comment 1 Dave Jones 2005-07-15 15:19:03 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:22:13 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.